LibreOffice: Hyphenator Service Reference

LibreOffice LibreOffice 4.4 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
Hyphenator Service Referencepublished

offers hyphenation functionality. More...

`import"Hyphenator.idl";`

Inheritance diagram for Hyphenator:

## Exported Interfaces
interface | com::sun::star::linguistic2::XHyphenator
interface | com::sun::star::linguistic2::XLinguServiceEventBroadcaster
interface | com::sun::star::lang::XInitialization
interface | com::sun::star::lang::XComponent
interface | com::sun::star::lang::XServiceDisplayName

## Additional Inherited Members
Public Member Functions inherited from XHyphenator
com::sun::star::linguistic2::XHyphenatedWord | hyphenate ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] short nMaxLeading, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| tries to find a valid hyphenation position relative to the beginning of a word. More...
com::sun::star::linguistic2::XHyphenatedWord | queryAlternativeSpelling ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] short nIndex, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| checks whether hyphenation at a position in a word will result in an alternative spelling or not. More...
com::sun::star::linguistic2::XPossibleHyphens | createPossibleHyphens ([in] string aWord, [in] com::sun::star::lang::Locale aLocale, [in] com::sun::star::beans::PropertyValues aProperties) raises ( com::sun::star::lang::IllegalArgumentException )
| returns information about all possible hyphenation positions of a word. More...
Public Member Functions inherited from XSupportedLocales
sequence< com::sun::star::lang::Locale > | getLocales ()
boolean | hasLocale ([in] com::sun::star::lang::Locale aLocale)
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XLinguServiceEventBroadcaster
boolean | addLinguServiceEventListener ([in] com::sun::star::linguistic2::XLinguServiceEventListener xLstnr)
boolean | removeLinguServiceEventListener ([in] com::sun::star::linguistic2::XLinguServiceEventListener xLstnr)
Public Member Functions inherited from XInitialization
void | initialize ([in] sequence< any > aArguments) raises ( com::sun::star::uno::Exception )
| initializes the object. More...
Public Member Functions inherited from XComponent
void | dispose ()
| The owner of an object calls this method to explicitly free all resources kept by this object and thus break cyclic references. More...
void | addEventListener ([in] XEventListener xListener)
| adds an event listener to the object. More...
void | removeEventListener ([in] XEventListener aListener)
| removes an event listener from the listener list. More...
Public Member Functions inherited from XServiceDisplayName
string | getServiceDisplayName ([in]::com::sun::star::lang::Locale aLocale)
| returns the display name of the service for a given language. More...

## Detailed Description

offers hyphenation functionality.

Developers Guide
  OfficeDev - Linguistics

## Exported Interfaces

interface com::sun::star::lang::XComponent

interface com::sun::star::lang::XInitialization

interface com::sun::star::lang::XServiceDisplayName

interface com::sun::star::linguistic2::XHyphenator

interface com::sun::star::linguistic2::XLinguServiceEventBroadcaster

The documentation for this service was generated from the following file:

- com/sun/star/linguistic2/Hyphenator.idl